Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.es
Class ESBase

    java.lang.Object
      |
      +--com.caucho.es.ESBase

Direct Known Subclasses:
  Call, ESBeanWrapper, ESBoolean, ESNull, ESNumber, ESObject, ESString, ESUndefined, Global

public class ESBase
extends java.lang.Object

Implementation class for the base of the JavaScript object hierarchy.

Field Summary
`static int` | `DONT_DELETE`
`static int` | `DONT_ENUM`
`static ESBase` | `esBase`
`static ESBase` | `esEmpty`
`static ESBase` | `esNull`
`static ESBase` | `esUndefined`
`static int` | `READ_ONLY`

Constructor Summary
`protected` | `ESBase()` Create a new object based on a prototype

Method Summary
`ESBase` | `call(Call eval, int length)`
`ESBase` | `call(Call eval, int length, ESString key)`
`ESBase` | `construct(Call eval, int length)`
`ESBase` | `delete(ESString key)`
`boolean` | `ecmaEquals(ESBase b)`
`java.lang.Class` | `getJavaType()`
`ESBase` | `getProperty(ESString key)`
`ESBase` | `getProperty(java.lang.String key)` Returns the text object for the lexeme.
`boolean` | `greaterThan(ESBase ob, boolean neg)`
`ESBase` | `hasProperty(ESString key)`
`boolean` | `isBoolean()`
`boolean` | `isNum()`
`boolean` | `isString()`
`java.util.Iterator` | `keys()`
`boolean` | `lessThan(ESBase ob, boolean neg)`
`ESBase` | `plus(ESBase b)`
`void` | `setProperty(ESString key, ESBase value)` Sets the named property
`void` | `setProperty(int i, ESBase value)` Sets the named property
`void` | `setProperty(java.lang.String key, ESBase value)`
`boolean` | `toBoolean()`
`int` | `toInt32()`
`java.lang.Object` | `toJavaObject()`
`java.lang.String` | `toJavaString()`
`double` | `toNum()`
`ESObject` | `toObject()`
`ESBase` | `toPrimitive()`
`ESBase` | `toPrimitive(int type)`
`ESString` | `toSource(IntMap map, boolean isLoopPass)`
`ESString` | `toStr()`
`java.lang.String` | `toString()`
`ESBase` | `typeof()`
`ESBase` | `valueOf()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### esBase

    public static ESBase esBase

### esNull

    public static ESBase esNull

### esUndefined

    public static ESBase esUndefined

### esEmpty

    public static ESBase esEmpty

### READ_ONLY

    public static final int READ_ONLY

### DONT_DELETE

    public static final int DONT_DELETE

### DONT_ENUM

    public static final int DONT_ENUM

Constructor Detail

### ESBase

    protected ESBase()

  Create a new object based on a prototype

Method Detail

### typeof

    public ESBase typeof()
                  throws ESException

### getJavaType

    public java.lang.Class getJavaType()

### getProperty

    public ESBase getProperty(ESString key)
                       throws java.lang.Exception

### setProperty

    public void setProperty(ESString key,
                            ESBase value)
                     throws java.lang.Exception

  Sets the named property

### delete

    public ESBase delete(ESString key)
                  throws java.lang.Exception

### toPrimitive

    public ESBase toPrimitive(int type)
                       throws java.lang.Exception

### toPrimitive

    public ESBase toPrimitive()
                       throws java.lang.Exception

### isBoolean

    public boolean isBoolean()

### toBoolean

    public boolean toBoolean()

### isNum

    public boolean isNum()

### toNum

    public double toNum()
                 throws java.lang.Exception

### isString

    public boolean isString()

### toStr

    public ESString toStr()
                   throws java.lang.Exception

### valueOf

    public ESBase valueOf()
                   throws java.lang.Exception

### toSource

    public ESString toSource(IntMap map,
                             boolean isLoopPass)
                      throws java.lang.Exception

### toObject

    public ESObject toObject()
                      throws ESException

### toJavaObject

    public java.lang.Object toJavaObject()
                                  throws ESException

### call

    public ESBase call(Call eval,
                       int length)
                throws java.lang.Exception

### call

    public ESBase call(Call eval,
                       int length,
                       ESString key)
                throws java.lang.Exception

### construct

    public ESBase construct(Call eval,
                            int length)
                     throws java.lang.Exception

### keys

    public java.util.Iterator keys()
                            throws java.lang.Exception

### hasProperty

    public ESBase hasProperty(ESString key)
                       throws java.lang.Exception

### getProperty

    public ESBase getProperty(java.lang.String key)
                       throws java.lang.Exception

  Returns the text object for the lexeme.

### setProperty

    public void setProperty(java.lang.String key,
                            ESBase value)
                     throws java.lang.Exception

### setProperty

    public void setProperty(int i,
                            ESBase value)
                     throws java.lang.Exception

  Sets the named property

### plus

    public ESBase plus(ESBase b)
                throws java.lang.Exception

### lessThan

    public boolean lessThan(ESBase ob,
                            boolean neg)
                     throws java.lang.Exception

### greaterThan

    public boolean greaterThan(ESBase ob,
                               boolean neg)
                        throws java.lang.Exception

### toInt32

    public int toInt32()
                throws java.lang.Exception

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### toJavaString

    public java.lang.String toJavaString()
                                  throws java.lang.Exception

### ecmaEquals

    public boolean ecmaEquals(ESBase b)
                       throws java.lang.Exception

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD